### Signal

# WebKit WebView::web-process-terminated

since: 2.20

#### Declaration

    void
    web_process_terminated (
      WebKitWebView* self,
      WebKitWebProcessTerminationReason reason,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the web process terminates abnormally due to `reason`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.20

#### Parameters

`reason`

  Type: `WebKitWebProcessTerminationReason`

  The a `WebKitWebProcessTerminationReason`.